| 0.9.9 API documenation

- Main Page
- Modules
- Files

- File List

Functions
component_wise.hpp File Reference

GLM_GTX_component_wise More...

Go to the source code of this file.

## Functions
template<typename genType >
GLM_FUNC_DECL genType::value_type | compAdd (genType const &v)
| Add all vector components together. More...
template<typename genType >
GLM_FUNC_DECL genType::value_type | compMax (genType const &v)
| Find the maximum value between single vector components. More...
template<typename genType >
GLM_FUNC_DECL genType::value_type | compMin (genType const &v)
| Find the minimum value between single vector components. More...
template<typename genType >
GLM_FUNC_DECL genType::value_type | compMul (genType const &v)
| Multiply all vector components together. More...
template<typename floatType , length_t L, typename T , qualifier Q>
GLM_FUNC_DECL vec< L, floatType, Q > | compNormalize (vec< L, T, Q > const &v)
| Convert an integer vector to a normalized float vector. More...
template<length_t L, typename T , typename floatType , qualifier Q>
GLM_FUNC_DECL vec< L, T, Q > | compScale (vec< L, floatType, Q > const &v)
| Convert a normalized float vector to an integer vector. More...

## Detailed Description

GLM_GTX_component_wise

Date
  2007-05-21 / 2011-06-07

Author
  Christophe Riccio

See also
  Core features (dependence)

Definition in file component_wise.hpp.